<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('enquries', function (Blueprint $table) {
            $table->dropIndex(['mobile']); // Drops the index from the `mobile` column
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('enquries', function (Blueprint $table) {
            $table->index('mobile'); // Restores the index on the `mobile` column
        });
    }
};
